<!DOCTYPE html>
<html>
<head>
    <title>GPS</title>
    <meta charset="UTF-8">
    <style>

        table {
            border: 1px solid black;
            border-collapse: collapse;
        }

        td {
            border: 1px solid black;
        }
        #map { height: 400px; }
    </style>
    <link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet-0.7.3/leaflet.css"/>
    <script src="http://cdn.leafletjs.com/leaflet-0.7.3/leaflet.js"></script>
</head>
<body>
<table>
    <tr>
        <th></th>
        <th>Date</th>
        <th>Latitude</th>
        <th>Longitude</th>
    </tr>
    {% for coordinate in coordinates %}
        <tr>
            <td><input class="checker" data-time="{{ coordinate.datetime }}"
                       data-latitude="{{ coordinate.latitude }}"
                       data-longitude="{{ coordinate.longitude }}"
                       type="checkbox">
            </td>
            <td>{{ coordinate.datetime }}</td>
            <td>{{ '%.5f' % coordinate.latitude }}</td>
            <td>{{ '%.5f' % coordinate.longitude }}</td>
        </tr>
    {% endfor %}
</table>

<div id="map">
    </div>

<script>


    function clicker_click(e) {
        var timestamp = e.target.dataset.time;
        var latitude = e.target.dataset.latitude;
        var longitude = e.target.dataset.longitude;

        console.log("Clicked on: " + timestamp + "  " + latitude + ", " + longitude);
    }

    function main() {
        var map = L.map('map', {
            center: [42.3083, -83.063],
            zoom: 16 });

        L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
    attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
}).addTo(map);

        var checkboxes = document.getElementsByClassName("checker");

        for (var i = 0; i < checkboxes.length; ++i) {
            checkboxes[i].addEventListener("click", clicker_click);
        }
    }

    document.addEventListener("DOMContentLoaded", main);

</script>
</body>
</html>
